/* defconf.h */
/* configuration file (for VC++ 4.0) */
/*	by Yoshioka Tsuneo */
#ifndef __DEFCONF_H
#define __DEFCONF_H

/* defined for Windows DLL version */

/* Compile via Visual C++ 4.x or lator */
#define VC4
/* support gzip/tar.gz format*/
#define GZIP
/* Is DLL */
#define DLL
/* support nkf32 Japanese Kanji Code Conversion of filename */ 
/* nkf(32).dllpăt@C̊R[hϊsH*/
#define USE_NKF_DLL		
// #define WIN
// #define LONG_FILE_NAME /* Now Don't use */
#define FORSE_BINARY_MODE /* Set Default Output BINARY */

/* use zlib for treate gzip(gz/tar.gz). */
#define USE_ZLIB
/* use bz2lib(libbz2) for treate bzip2(bz2/tar.bz2). */
#define USE_BZ2LIB

#define P_up_V 4


/***********************************/
#ifdef _WIN32
	#ifndef WIN32
		#define WIN32
	#endif
#endif

#ifdef VC4
	#define MSC 1
#if 0
	#define MSDOS
	#define NO_FDIO
#endif
	/*
	#define read _read
	#define write _write
	#define lseek _lseek
	#define setmode _setmode
	#define open _open
	#define creat _creat
	#define close _close
	#define mkdir _mkdir
	#define far
	#define near
	#define O_BINARY _O_BINARY
	#define _fmalloc malloc
	#define _ffree free

	#define getch _getch
	*/
/*	#include "findfile.h" */
	#if 0
	#define findfirst _findfirst
	#define findnext _findnext
	#endif
	/*
	typedef long time_t;
	#define find_t _finddata_t
	*/
#endif

#ifdef DLL
	#include <stdlib.h>
	#include <setjmp.h>
	jmp_buf start_env;
	#define exit(value) longjmp(start_env,(value)+1)
	#include "ioctrl.h"
#endif

#endif
